package com.company.demo.entity;

import com.haulmont.cuba.core.global.DataManager;
import org.springframework.stereotype.Service;

import javax.inject.Inject;
import java.util.List;

@Service(ClazzService.NAME)
public class ClazzServiceBean implements ClazzService {

    @Inject
    private DataManager dataManager;

    @Override
    public List<Clazz> loadByNameLike(String name) {
        List<Clazz> students = dataManager.load(Clazz.class)
                .query("select s from demo_Clazz s where s.name like :name")
                .parameter("name", "%" + name + "%")
                .list();
        return students;
    }

}