package com.company.demo.entity;

public enum Gender {
    Male("Male", "男"), Female("Female", "女");

    String id;
    String desc;

    Gender(String id, String desc) {
        this.id = id;
        this.desc = desc;
    }

    public String getId() {
        return id;
    }

    public static Gender fromId(String id) {
        for (Gender value : Gender.values()) {
            if (value.getId().equals(id)) {
                return value;
            }
        }
        return null;
    }
}
